> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all datasets > Get detailed information of all datasets that the current user has access to. ## OpenAPI ````json GET /v1/datasets { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/datasets": { "get": { "tags": [ "Dataset" ], "summary": "Get all datasets", "description": "Get detailed information of all datasets that the current user has access to.", "operationId": "getAllDatasets", "parameters": [ { "name": "name", "in": "query", "description": "Dataset name", "schema": { "type": "string" } }, { "name": "description", "in": "query", "description": "Dataset description.", "schema": { "type": "string" } }, { "name": "filter", "in": "query", "description": "Filter to use for items, currently supports labels, syntax: {\"labels\":{\"key1\":\"value1\",\"key2\":\"value2\"}}", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of datasets to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of datasets to skip from start.", "schema": { "type": "integer" } } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllDatasetsResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllDatasetsResponse": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/Dataset" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "Dataset": { "required": [ "dataset_id", "owner", "creator_id", "created_at", "updated_at", "name", "description", "location", "labels", "credentials", "group_id" ], "type": "object", "properties": { "dataset_id": { "type": "string", "format": "uuid" }, "name": { "type": "string" }, "owner": { "type": "string", "format": "uuid" }, "creator_id": { "type": "string", "format": "uuid" }, "group_id": { "type": "string", "format": "uuid" }, "created_at": { "type": "integer", "description": "Dataset creation time (seconds since epoch).", "format": "int64" }, "updated_at": { "type": "integer", "description": "Last update UNIX timestamp (seconds since epoch).", "format": "int64" }, "description": { "type": "string" }, "location": { "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" } }, "credentials": { "$ref": "#/components/schemas/DatasetCredentials" }, "metadata": { "$ref": "#/components/schemas/DatasetMetadata" }, "last_workflow_output": { "type": "integer", "format": "int64" }, "long_description": { "type": "string", "description": "A github-flavored markdown-formatted string that will be rendered in UI for viewing a summary of this dataset, limited to 16KiB." } }, "description": "" }, "DatasetCredentials": { "type": "object", "properties": { "sdkms": { "$ref": "#/components/schemas/SdkmsCredentials" } }, "description": "" }, "DatasetMetadata": { "type": "object", "description": "Metadata about the dataset." }, "SdkmsCredentials": { "required": [ "credentials_url", "credentials_key_name" ], "type": "object", "properties": { "credentials_url": { "type": "string" }, "credentials_key_name": { "type": "string" } }, "description": "" } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````